state_VLC_dec Class Reference

`#include <ht_block_decoding.hpp>`

## Public Member Functions

| state_VLC_dec (uint8_t *Dcup, uint32_t Lcup, uint32_t Pcup)
void | load_bytes ()
uint8_t | getVLCbit ()
void | close32 (int32_t num_bits)
void | decodeCxtVLC (const uint16_t &context, uint8_t(&u_off)[2], uint8_t(&rho)[2], uint8_t(&emb_k)[2], uint8_t(&emb_1)[2], const uint8_t &first_or_second, const uint16_t *dec_CxtVLC_table)
uint8_t | decodeUPrefix ()
uint8_t | decodeUSuffix (const uint8_t &u_pfx)
uint8_t | decodeUExtension (const uint8_t &u_sfx)

## Private Attributes

int32_t | pos
uint8_t | last
int32_t | ctreg
uint64_t | Creg
uint8_t | bits
uint8_t * | buf

## Constructor & Destructor Documentation

## state_VLC_dec()

state_VLC_dec::state_VLC_dec | ( | uint8_t * | Dcup,
|  | uint32_t | Lcup,
|  | uint32_t | Pcup
| ) |  |

inline

## Member Function Documentation

## close32()

void state_VLC_dec::close32 | ( | int32_t | num_bits | ) |

References Creg, ctreg, and load_bytes().

Referenced by decodeCxtVLC(), and getVLCbit().

## decodeCxtVLC()

void state_VLC_dec::decodeCxtVLC | ( | const uint16_t & | context,
|  | uint8_t(&) | u_off[2],
|  | uint8_t(&) | rho[2],
|  | uint8_t(&) | emb_k[2],
|  | uint8_t(&) | emb_1[2],
|  | const uint8_t & | first_or_second,
|  | const uint16_t * | dec_CxtVLC_table
| ) |  |

References bits, buf, close32(), Creg, and pos.

## decodeUExtension()

uint8_t state_VLC_dec::decodeUExtension | ( | const uint8_t & | u_sfx | ) |

References getbitfunc.

Referenced by ht_cleanup_decode().

## decodeUPrefix()

uint8_t state_VLC_dec::decodeUPrefix | ( |  | ) |

References getbitfunc.

Referenced by ht_cleanup_decode().

## decodeUSuffix()

uint8_t state_VLC_dec::decodeUSuffix | ( | const uint8_t & | u_pfx | ) |

References getbitfunc.

Referenced by ht_cleanup_decode().

## getVLCbit()

uint8_t state_VLC_dec::getVLCbit | ( |  | ) |

References bits, close32(), and Creg.

## load_bytes()

void state_VLC_dec::load_bytes | ( |  | ) |

References buf, Creg, ctreg, last, and pos.

Referenced by close32().

## Member Data Documentation

## bits

uint8_t state_VLC_dec::bits

private

Referenced by decodeCxtVLC(), and getVLCbit().

## buf

uint8_t* state_VLC_dec::buf

private

Referenced by decodeCxtVLC(), and load_bytes().

## Creg

uint64_t state_VLC_dec::Creg

private

Referenced by close32(), decodeCxtVLC(), getVLCbit(), and load_bytes().

## ctreg

int32_t state_VLC_dec::ctreg

private

Referenced by close32(), and load_bytes().

## last

uint8_t state_VLC_dec::last

private

Referenced by load_bytes().

## pos

int32_t state_VLC_dec::pos

private

Referenced by decodeCxtVLC(), and load_bytes().

The documentation for this class was generated from the following files:

- ht_block_decoding.hpp
- ht_block_decoding.cpp